import axios from 'axios';
import {
    Message,
    MessageBox
} from 'element-ui';

// 创建axios实例
// const service = axios.create({
var service = axios.create({
   // baseURL: 'http://127.0.0.1:60071/',
    // baseURL: 'http://192.168.9.153:60071/', // 王雪
  // baseURL: 'http://192.168.9.154:60071/',  // 张晶
  // baseURL: 'http://192.168.9.155:60071/', // 张玉江
    timeout: 5000 // 请求超时时间
});

// request拦截器
service.interceptors.request.use(config => {

    return config;
}, error => {
    console.log(error);
    Promise.reject(error);
})

// respone拦截器
service.interceptors.response.use(
    response => {

        const res = response.data;
        if (response.status === 401 || res.status === 40101) {
            MessageBox.confirm('你已被登出，可以取消继续留在该页面，或者重新登录', '确定登出', {
                confirmButtonText: '重新登录',
                cancelButtonText: '取消',
                type: 'warning'
            }).then(() => {

            })
            return Promise.reject('error');
        }
        if (res.status === 40301) {
            Message({
                message: '当前用户无相关操作权限！',
                type: 'error',
                duration: 2 * 1000
            });
            return Promise.reject('error');
        }
        if (res.status === 40001) {
            Message({
                message: '账户或密码错误！',
                type: 'warning'
            });
            return Promise.reject('error');
        }
        if (response.status !== 200 && res.status !== 200) {
            Message({
                message: res.message,
                type: 'error',
                duration: 2 * 1000
            });
        } else {
            return response.data;
        }
    },
    error => {
        Message({
            message: error.message,
            type: 'error',
            duration: 2 * 1000
        });
        return Promise.reject(error);
    }
);

export default service;
