import fetch from '@/api/common/fetch';

export function page(query) {
return fetch({
url: '/dcloud-base/device/deviceInst/pageCriteria',
method: 'get',
params: query
});
}

export function addObj(obj) {
return fetch({
url: '/dcloud-base/device/deviceInst/add',
method: 'post',
data: obj
});
}

export function getObj(id) {
return fetch({
url: '/dcloud-base/device/deviceInst/get/' + id,
method: 'get'
})
}

export function delObj(id) {
return fetch({
url: '/dcloud-base/device/deviceInst/remove/' + id,
method: 'post'
})
}

export function putObj(id, obj) {
return fetch({
url: '/dcloud-base/device/deviceInst/update/' + id,
method: 'post',
data: obj,
    params:'name_code'
})
}
//设备大类数据
export function getDeviceTypeObj() {
    return fetch({
        url: '/dcloud-base/device/deviceType/parsData',
        method: 'get',
        params: {
            pars:'typeModel,typeName'
        }
    })
}

export function getFactorObj() {
    return fetch({
        url: '/dcloud-base/factor/parsData',
        method: 'get',
        params: {
            pars:'factorCode,factorName',
            factorType:"1"
        }

    })
}

export function getWorkAll() {
    return fetch({
        url: '/dcloud-base/device/workParam/parsData',
        method: 'get',
        params: {
            pars:'id,paramCode,paramName'
        }
    })
}

export function getWorkValue(id) {
    return fetch({
        url: '/dcloud-base/device/deviceInstParam/parsData',
        method: 'get',
        params: {
            pars:'workParamId',
            deviceInstId:id

        },
    })
}

export function putSetWork(obj) {
    return fetch({
        url: '/dcloud-base/device/deviceInstParam/setWorkValue',
        method: 'post',
        data:obj
    })
}


export function getStateAll() {
    return fetch({
        url: '/dcloud-base/device/stateIndex/parsData',
        method: 'get',
        params: {
            pars:'id,stateCode,stateName'
        }
    })
}

export function getStateValue(id) {
    return fetch({
        url: '/dcloud-base/device/deviceInstState/parsData',
        method: 'get',
        params: {
            pars:'stateIndex',
            deviceInstId:id
        }
    })
}

export function putSetState(obj) {
    return fetch({
        url: '/dcloud-base/device/deviceInstState/setState',
        method: 'post',
        data:obj
    })
}

export function getControlAll() {
    return fetch({
        url: '/dcloud-base/device/remoteControl/parsData',
        method: 'get',
        params: {
            pars:'id,controlCode,controlName'
        }
    })
}

export function getControlValue(id) {
    return fetch({
        url: '/dcloud-base/device/deviceInstControl/parsData',
        method: 'get',
        params: {
            pars:'remoteControlId',
            deviceInstId:id
        }
    })
}

export function putSetControl(obj) {
    return fetch({
        url: '/dcloud-base/device/deviceInstControl/setControl',
        method: 'post',
        data:obj
    })
}

export function getFactor(codes) {
    return fetch({
        url: '/dcloud-base/factor/queryFactorByCodes',
        method: 'get',
        async:false,
        params: {
            codes:codes
        }

    })
}