import fetch from '@/api/common/fetch';

export function page(query) {
return fetch({
url: '/dcloud-base/device/remoteControl/pageCriteria',
method: 'get',
params: query
});
}
export function pagePar(query) {
    return fetch({
        url: '/dcloud-base/device/controlParam/page',
        method: 'get',
        params: query
    });
}

export function addObj(obj) {
return fetch({
url: '/dcloud-base/device/remoteControl/addRemoteControl',
method: 'post',
data: obj
});
}

export function addParObj(obj) {
    return fetch({
        url: '/dcloud-base/device/controlParam/add',
        method: 'post',
        data: obj,
        params:{
            judParams:'paramCode_paramName_remoteControlId'
        }
    });
}

export function getObj(id) {
return fetch({
url: '/dcloud-base/device/remoteControl/get/' + id,
method: 'get'
})
}

export function getParObj(id) {
    return fetch({
        url: '/dcloud-base/device/controlParam/get/' + id,
        method: 'get'
    })
}

export function delObj(id) {
return fetch({
url: '/dcloud-base/device/remoteControl/remove/' + id,
method: 'post'
})
}

export function delParObj(id) {
    return fetch({
        url: '/dcloud-base/device/controlParam/remove/' + id,
        method: 'post'
    })
}

export function putObj(id, obj) {
return fetch({
url: '/dcloud-base/device/remoteControl/update/' + id,
method: 'post',
data: obj ,
    params:{
        judParams:'cn_controlCode'
    }
})
}

export function putParObj(id, obj) {
    return fetch({
        url: '/dcloud-base/device/controlParam/update/' + id,
        method: 'post',
        data: obj ,
        params:{
            judParams:'paramCode_paramName_remoteControlId'
        }
    })
}