import fetch from '@/api/common/fetch';

export function page(query) {
    return fetch({
        url: '/dcloud-base/enter/pageCriteria',
        method: 'get',
        params: query
    });
}

export function addObj(obj) {
    return fetch({
        url: '/dcloud-base/enter/add',
        method: 'post',
        data: obj
    });
}

export function getObj(id) {
    return fetch({
        url: '/dcloud-base/enter/get/' + id,
        method: 'get'
    })
}

export function delObj(id) {
    return fetch({
        url: '/dcloud-base/enter/remove/' + id,
        method: 'post'
    })
}

export function putObj(id, obj) {
    return fetch({
        url: '/dcloud-base/enter/update/' + id,
        method: 'post',
        data: obj
    })
}

//查询运维工程师
export function pageData(name, enterId) {
    return fetch({
        url: '/dcloud-server/operationEngineer/queryListCriteria?like_name=' + name + '&eq_enterId=' + enterId,
        method: 'get'
    })
}

//添加运维工程师
export function addData(obj) {
    return fetch({
        url: '/dcloud-server/operationEngineer/add',
        method: 'post',
        data: obj
    })
}

//修改运维工程师
export function updateData(obj) {
    return fetch({
        url: '/dcloud-server/operationEngineer/updateSelective',
        method: 'post',
        data: obj
    })
}

//删除运维工程师
export function deleteData(query) {
    return fetch({
        url: '/dcloud-server/operationEngineer/delete',
        method: 'post',
        params: query
    })
}