import fetch from '@/api/common/fetch';

export function page(query) {
    return fetch({
        url: '/dcloud-base/testingCompany/pageCriteria',
        method: 'get',
        params: query
    });
}

export function addObj(obj) {
    return fetch({
        url: '/dcloud-base/testingCompany/add',
        method: 'post',
        data: obj
    });
}

export function getObj(id) {
    return fetch({
        url: '/dcloud-base/testingCompany/get/' + id,
        method: 'get'
    })
}

export function delObj(id) {
    return fetch({
        url: '/dcloud-base/testingCompany/remove/' + id,
        method: 'post'
    })
}

export function putObj(id, obj) {
    return fetch({
        url: '/dcloud-base/testingCompany/update/' + id,
        method: 'post',
        data: obj
    })
}

//查询检测工程师
export function pageData(name, enterId) {
    return fetch({
        url: '/dcloud-server/testingEngineer/queryListCriteria?like_name=' + name + '&eq_testingCompanyId=' + enterId,
        method: 'get'
    })
}

//添加检测工程师
export function addData(obj) {
    return fetch({
        url: '/dcloud-server/testingEngineer/add',
        method: 'post',
        data: obj
    })
}

//修改检测工程师
export function updateData(obj) {
    return fetch({
        url: '/dcloud-server/testingEngineer/updateSelective',
        method: 'post',
        data: obj
    })
}

//删除检测工程师
export function deleteData(query) {
    return fetch({
        url: '/dcloud-server/testingEngineer/delete',
        method: 'post',
        params: query
    })
}