import fetch from '@/api/common/fetch';

export function page(query) {
return fetch({
url: '/dcloud-base/role/rolePage',
method: 'get',
params: query
});
}

export function addObj(obj) {
return fetch({
url: '/dcloud-base/role/addRole',
method: 'post',
data: obj
});
}

export function getObj(id) {
return fetch({
url: '/dcloud-base/role/getRole/' + id,
method: 'get'
})
}

export function delObj(id) {
return fetch({
url: '/dcloud-base/role/remove/' + id,
method: 'post'
})
}

export function putObj(id, obj) {
return fetch({
url: '/dcloud-base/role/update/' + id,
method: 'post',
data: obj
})
}
export function getRoleType() {
return fetch({
url: '/dcloud-base/roleType/parsData?pars=code,typeName',
method: 'get',
})
}

export function getRoleByName(name) {
    return fetch({
        url: '/dcloud-base/role/getRoleByName/' + name,
        method: 'get',
    });
}
export function getUserByRoleId(roleId) {
    return fetch({
        url: '/dcloud-base/user/getUserByRoleId/' + roleId,
        method: 'get',
    });
}

export function toSortMenu(roleId) {
    return fetch({
        url: '/dcloud-base/role/getSortMenu/'+roleId,
        method: 'get',
    });
}

export function toPerm(roleId) {
    return fetch({
        url: '/dcloud-base/role/getRolePerm/'+roleId,
        method: 'get',
    });
}

export function saveSortMenu(roleId,ids) {
    return fetch({
        url: '/dcloud-base/role/sortRoleMenu/'+ids+'/'+roleId,
        method: 'get',
    });
}

export function getRoleMenu() {
    return fetch({
        url: '/dcloud-base/role/sortRoleMenu/',
        method: 'get',
    });
}
export function toConfigAlarm(id) {
    return fetch({
        url: '/dcloud-base/role/toRoleAlarm/'+id,
        method: 'get',
    });
}
export function typeAlarms(obj) {
    return fetch({
        url: '/dcloud-base/role/roleAlarm',
        method: 'post',
        data: obj
    });
}
export function savePerm(roleId,obj) {
    return fetch({
        url: '/dcloud-base/role/savePerm/'+roleId+'?permIdList='+obj,
        method: 'post'
    });
}
