import fetch from '@/api/common/fetch';

export function page(query) {
return fetch({
url: '/dcloud-base/user/userPage',
method: 'get',
params: query
});
}

export function addObj(obj) {
return fetch({
url: '/dcloud-base/user/addUser',
method: 'post',
data: obj
});
}

export function getObj(id) {
return fetch({
url: '/dcloud-base/user/getUser/' + id,
method: 'get'
})
}

export function delObj(id) {
return fetch({
url: '/dcloud-base/user/remove/' + id,
method: 'post'
})
}

export function putObj(id, obj) {
return fetch({
url: '/dcloud-base/user/updateUser',
method: 'post',
data: obj
})
}

export function role() {
    return fetch({
        url: '/dcloud-base/role/parsData?pars=id,name',
        method: 'get'
    });
}
export function enter() {
    return fetch({
        url: '/dcloud-base/enterprise/parsData?pars=id,enterName',
        method: 'get',
    });
}
export function noticeType() {
    return fetch({
        url: '/dcloud-base/noticeType/page',
        method: 'get',
    });
}
export function getUserByName(name) {
    return fetch({
        url: '/dcloud-base/user/getUserByName/' + name,
        method: 'get',
    });
}

export function getObjRole(id) {
    return fetch({
        url: '/dcloud-base/role/get/' + id,
        method: 'get'
    })
}

export function getUserStation(id,num) {
    return fetch({
        url: '/dcloud-base/user/getUserPerm/'+id+'?num='+num,
        method: 'get'
    });
}
export function getUserStationInit(id) {
    return fetch({
        url: '/dcloud-base/user/getUserStationInit/'+id,
        method: 'get'
    });
}
export function getLevel() {
    return fetch({
        url: '/dcloud-base/user/getLevel',
        method: 'get'
    });
}

export function getUserArea(id,num) {
    return fetch({
        url: '/dcloud-base/user/getUserPerm/' + id+'/'+num,
        method: 'get'
    });
}

export function savePerm(uId,num,obj) {
    return fetch({
        url: '/dcloud-base/user/saveUserPerm/'+uId+'?num='+num+'&permIds='+obj,
        method: 'post'
    });
}
export function queryUserName(userName) {
    return fetch({
        url: '/dcloud-base/user/queryUserName/'+userName+'',
        method: 'get'
    });
}